=head1 NAME

gsec - Firebird command-line security utility

=head1 SYNOPSIS

gsec

gsec I<option>...

=head1 DESCRIPTION

B<gsec> is a utility used to manimulate the security database
F<security2.fdb>, used by the Firebird server.

Started without options, B<gsec> enters interactive mode. All commands in that
mode mimic the unabbreviated options below, without the leading dash.

=head1 OPTIONS

=over

=item B<-di[splay]> [I<name>]

Show information for user I<name> or for all users if no name is given.

=item B<-a[dd]> I<name> -pw I<password>

Add a user with the given password.

=item B<-mo[dify]> I<name> I<parameter>...

Modify the account I<name>. Possible parameters are:

=over

=item B<-pw> I<string>

Set user password;

=item B<-uid> I<num>

=item B<-gid> I<num>

=item B<-fname> I<string>

Set first name.

=item B<-mname> I<string>

Set middle name.

=item B<-lname> I<string>

Set last name.

=item B<-admin> C<yes>|C<no>

Set admin flag.

=back

=item B<-de[lete]> I<name>

Delete user from the security database.

=back

=head1 COPYRIGHT AND LICENSE

Copyright (c) 2015 Damyan Ivanov E<lt>dmn@debian.orgE<gt>.

Permission is granted to use this document, with or without modifications,
provided that this notice is retained. If we meet some day, and you think this
stuff is worth it, you can buy me a beer in return.
